/*
 *  commonDefs.h ..... common types and definitions
 */

/* prevent multiple inclusion of this file: */
#ifndef _COMMONDEFS_H
#define _COMMONDEFS_H

#include <time.h>

/* -------------------------------------------------------------------------- */
/* BASIC DATA TYPES                                                           */
/* -------------------------------------------------------------------------- */

// logical:
typedef int BOOL;


/* -------------------------------------------------------------------------- */
/* CONSTANTS                                                                  */
/* -------------------------------------------------------------------------- */

// support for BOOL:
#ifndef TRUE
#define TRUE        ( (BOOL)1 )
#endif
#ifndef FALSE
#define FALSE       ( (BOOL)0 )
#endif

// NULL (for generic pointers):
#ifndef NULL
#define NULL        ((void *)0)
#endif

// NULL CHAR (for string termination):
#ifndef NULL_CHAR
#define NULL_CHAR   ((char)0)
#endif

// CARRIAGE RETURN CHAR:
#ifndef CR_CHAR
#define CR_CHAR     ((char)13)
#endif

// LINEFEED CHAR:
#ifndef LF_CHAR
#define LF_CHAR     ((char)10)
#endif

// ESCAPE CHAR:
#ifndef ESC_CHAR
#define ESC_CHAR    ((char)27)
#endif

// BACKSPACE CHAR:
#ifndef BKSP_CHAR
#define BKSP_CHAR   ((char)8)
#endif


/* -------------------------------------------------------------------------- */
/* MACROS                                                                     */
/* -------------------------------------------------------------------------- */

// cause code to appear to hang:
#ifndef HANG
#define HANG()      while(1)
#endif


/* end of multiple inclusion protection: */
#endif  /* not _COMMONDEFS_H */

/* ----- END OF FILE ----- */
